Package org.eclipse.m2m.atl.emftvm

## Enum Opcode

- java.lang.Object
- - java.lang.Enum<Opcode>
  - - org.eclipse.m2m.atl.emftvm.Opcode

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<Opcode>`, `org.eclipse.emf.common.util.Enumerator`

    public enum Opcode
    extends java.lang.Enum<Opcode>
    implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration 'Opcode', and utility methods for working with them.

See Also:
  `EmftvmPackage.getOpcode()`

### Enum Constant Summary

Enum Constants
`ADD` The 'ADD' literal object.
`ALLINST` The 'ALLINST' literal object.
`ALLINST_IN` The 'ALLINST IN' literal object.
`AND` The 'AND' literal object.
`DELETE` The 'DELETE' literal object.
`DUP` The 'DUP' literal object.
`DUP_X1` The 'DUP X1' literal object.
`ENDITERATE` The 'ENDITERATE' literal object.
`FINDTYPE` The 'FINDTYPE' literal object.
`FINDTYPE_S` The 'FINDTYPE S' literal object.
`GET` The 'GET' literal object.
`GET_STATIC` The 'GET STATIC' literal object.
`GET_SUPER` The 'GET SUPER' literal object.
`GET_TRANS` The 'GET TRANS' literal object.
`GETCB` The 'GETCB' literal object.
`GETENV` The 'GETENV' literal object.
`GETENVTYPE` The 'GETENVTYPE' literal object.
`GOTO` The 'GOTO' literal object.
`IF` The 'IF' literal object.
`IFN` The 'IFN' literal object.
`IFTE` The 'IFTE' literal object.
`IMPLIES` The 'IMPLIES' literal object.
`INSERT` The 'INSERT' literal object.
`INVOKE` The 'INVOKE' literal object.
`INVOKE_ALL_CBS` The 'INVOKE ALL CBS' literal object.
`INVOKE_CB` The 'INVOKE CB' literal object.
`INVOKE_CB_S` The 'INVOKE CB S' literal object.
`INVOKE_STATIC` The 'INVOKE STATIC' literal object.
`INVOKE_SUPER` The 'INVOKE SUPER' literal object.
`ISNULL` The 'ISNULL' literal object.
`ITERATE` The 'ITERATE' literal object.
`LOAD` The 'LOAD' literal object.
`MATCH` The 'MATCH' literal object.
`MATCH_S` The 'MATCH S' literal object.
`NEW` The 'NEW' literal object.
`NEW_S` The 'NEW S' literal object.
`NOT` The 'NOT' literal object.
`OR` The 'OR' literal object.
`POP` The 'POP' literal object.
`PUSH` The 'PUSH' literal object.
`PUSHF` The 'PUSHF' literal object.
`PUSHT` The 'PUSHT' literal object.
`REMOVE` The 'REMOVE' literal object.
`RETURN` The 'RETURN' literal object.
`SET` The 'SET' literal object.
`SET_STATIC` The 'SET STATIC' literal object.
`STORE` The 'STORE' literal object.
`SWAP` The 'SWAP' literal object.
`SWAP_X1` The 'SWAP X1' literal object.
`XOR` The 'XOR' literal object.

### Field Summary

Fields
`static int` `ADD_VALUE` The 'ADD' literal value.
`static int` `ALLINST_IN_VALUE` The 'ALLINST IN' literal value.
`static int` `ALLINST_VALUE` The 'ALLINST' literal value.
`static int` `AND_VALUE` The 'AND' literal value.
`static int` `DELETE_VALUE` The 'DELETE' literal value.
`static int` `DUP_VALUE` The 'DUP' literal value.
`static int` `DUP_X1_VALUE` The 'DUP X1' literal value.
`static int` `ENDITERATE_VALUE` The 'ENDITERATE' literal value.
`static int` `FINDTYPE_S_VALUE` The 'FINDTYPE S' literal value.
`static int` `FINDTYPE_VALUE` The 'FINDTYPE' literal value.
`static int` `GET_STATIC_VALUE` The 'GET STATIC' literal value.
`static int` `GET_SUPER_VALUE` The 'GET SUPER' literal value.
`static int` `GET_TRANS_VALUE` The 'GET TRANS' literal value.
`static int` `GET_VALUE` The 'GET' literal value.
`static int` `GETCB_VALUE` The 'GETCB' literal value.
`static int` `GETENV_VALUE` The 'GETENV' literal value.
`static int` `GETENVTYPE_VALUE` The 'GETENVTYPE' literal value.
`static int` `GOTO_VALUE` The 'GOTO' literal value.
`static int` `IF_VALUE` The 'IF' literal value.
`static int` `IFN_VALUE` The 'IFN' literal value.
`static int` `IFTE_VALUE` The 'IFTE' literal value.
`static int` `IMPLIES_VALUE` The 'IMPLIES' literal value.
`static int` `INSERT_VALUE` The 'INSERT' literal value.
`static int` `INVOKE_ALL_CBS_VALUE` The 'INVOKE ALL CBS' literal value.
`static int` `INVOKE_CB_S_VALUE` The 'INVOKE CB S' literal value.
`static int` `INVOKE_CB_VALUE` The 'INVOKE CB' literal value.
`static int` `INVOKE_STATIC_VALUE` The 'INVOKE STATIC' literal value.
`static int` `INVOKE_SUPER_VALUE` The 'INVOKE SUPER' literal value.
`static int` `INVOKE_VALUE` The 'INVOKE' literal value.
`static int` `ISNULL_VALUE` The 'ISNULL' literal value.
`static int` `ITERATE_VALUE` The 'ITERATE' literal value.
`static int` `LOAD_VALUE` The 'LOAD' literal value.
`static int` `MATCH_S_VALUE` The 'MATCH S' literal value.
`static int` `MATCH_VALUE` The 'MATCH' literal value.
`static int` `NEW_S_VALUE` The 'NEW S' literal value.
`static int` `NEW_VALUE` The 'NEW' literal value.
`static int` `NOT_VALUE` The 'NOT' literal value.
`static int` `OR_VALUE` The 'OR' literal value.
`static int` `POP_VALUE` The 'POP' literal value.
`static int` `PUSH_VALUE` The 'PUSH' literal value.
`static int` `PUSHF_VALUE` The 'PUSHF' literal value.
`static int` `PUSHT_VALUE` The 'PUSHT' literal value.
`static int` `REMOVE_VALUE` The 'REMOVE' literal value.
`static int` `RETURN_VALUE` The 'RETURN' literal value.
`static int` `SET_STATIC_VALUE` The 'SET STATIC' literal value.
`static int` `SET_VALUE` The 'SET' literal value.
`static int` `STORE_VALUE` The 'STORE' literal value.
`static int` `SWAP_VALUE` The 'SWAP' literal value.
`static int` `SWAP_X1_VALUE` The 'SWAP X1' literal value.
`static java.util.List<Opcode>` `VALUES` A public read-only list of all the 'Opcode' enumerators.
`static int` `XOR_VALUE` The 'XOR' literal value.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static Opcode` `get​(int value)` Returns the 'Opcode' literal with the specified integer value.
`static Opcode` `get​(java.lang.String literal)` Returns the 'Opcode' literal with the specified literal value.
`static Opcode` `getByName​(java.lang.String name)` Returns the 'Opcode' literal with the specified name.
`java.lang.String` `getLiteral()` Returns the literal string value.
`java.lang.String` `getName()` Returns the literal name.
`int` `getValue()` Returns the literal integer value.
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation.
`static Opcode` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Opcode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### PUSH

    public static final Opcode PUSH

The 'PUSH' literal object.

See Also:
  `PUSH_VALUE`

#### PUSHT

    public static final Opcode PUSHT

The 'PUSHT' literal object.

See Also:
  `PUSHT_VALUE`

#### PUSHF

    public static final Opcode PUSHF

The 'PUSHF' literal object.

See Also:
  `PUSHF_VALUE`

#### POP

    public static final Opcode POP

The 'POP' literal object.

See Also:
  `POP_VALUE`

#### LOAD

    public static final Opcode LOAD

The 'LOAD' literal object.

See Also:
  `LOAD_VALUE`

#### STORE

    public static final Opcode STORE

The 'STORE' literal object.

See Also:
  `STORE_VALUE`

#### SET

    public static final Opcode SET

The 'SET' literal object.

See Also:
  `SET_VALUE`

#### GET

    public static final Opcode GET

The 'GET' literal object.

See Also:
  `GET_VALUE`

#### GET_TRANS

    public static final Opcode GET_TRANS

The 'GET TRANS' literal object.

See Also:
  `GET_TRANS_VALUE`

#### SET_STATIC

    public static final Opcode SET_STATIC

The 'SET STATIC' literal object.

See Also:
  `SET_STATIC_VALUE`

#### GET_STATIC

    public static final Opcode GET_STATIC

The 'GET STATIC' literal object.

See Also:
  `GET_STATIC_VALUE`

#### FINDTYPE

    public static final Opcode FINDTYPE

The 'FINDTYPE' literal object.

See Also:
  `FINDTYPE_VALUE`

#### FINDTYPE_S

    public static final Opcode FINDTYPE_S

The 'FINDTYPE S' literal object.

See Also:
  `FINDTYPE_S_VALUE`

#### NEW

    public static final Opcode NEW

The 'NEW' literal object.

See Also:
  `NEW_VALUE`

#### NEW_S

    public static final Opcode NEW_S

The 'NEW S' literal object.

See Also:
  `NEW_S_VALUE`

#### DELETE

    public static final Opcode DELETE

The 'DELETE' literal object.

See Also:
  `DELETE_VALUE`

#### DUP

    public static final Opcode DUP

The 'DUP' literal object.

See Also:
  `DUP_VALUE`

#### DUP_X1

    public static final Opcode DUP_X1

The 'DUP X1' literal object.

See Also:
  `DUP_X1_VALUE`

#### SWAP

    public static final Opcode SWAP

The 'SWAP' literal object.

See Also:
  `SWAP_VALUE`

#### SWAP_X1

    public static final Opcode SWAP_X1

The 'SWAP X1' literal object.

See Also:
  `SWAP_X1_VALUE`

#### IF

    public static final Opcode IF

The 'IF' literal object.

See Also:
  `IF_VALUE`

#### IFN

    public static final Opcode IFN

The 'IFN' literal object.

See Also:
  `IFN_VALUE`

#### GOTO

    public static final Opcode GOTO

The 'GOTO' literal object.

See Also:
  `GOTO_VALUE`

#### ITERATE

    public static final Opcode ITERATE

The 'ITERATE' literal object.

See Also:
  `ITERATE_VALUE`

#### ENDITERATE

    public static final Opcode ENDITERATE

The 'ENDITERATE' literal object.

See Also:
  `ENDITERATE_VALUE`

#### INVOKE

    public static final Opcode INVOKE

The 'INVOKE' literal object.

See Also:
  `INVOKE_VALUE`

#### INVOKE_SUPER

    public static final Opcode INVOKE_SUPER

The 'INVOKE SUPER' literal object.

See Also:
  `INVOKE_SUPER_VALUE`

#### INVOKE_STATIC

    public static final Opcode INVOKE_STATIC

The 'INVOKE STATIC' literal object.

See Also:
  `INVOKE_STATIC_VALUE`

#### ALLINST

    public static final Opcode ALLINST

The 'ALLINST' literal object.

See Also:
  `ALLINST_VALUE`

#### ALLINST_IN

    public static final Opcode ALLINST_IN

The 'ALLINST IN' literal object.

See Also:
  `ALLINST_IN_VALUE`

#### ISNULL

    public static final Opcode ISNULL

The 'ISNULL' literal object.

See Also:
  `ISNULL_VALUE`

#### GETENVTYPE

    public static final Opcode GETENVTYPE

The 'GETENVTYPE' literal object.

See Also:
  `GETENVTYPE_VALUE`

#### NOT

    public static final Opcode NOT

The 'NOT' literal object.

See Also:
  `NOT_VALUE`

#### AND

    public static final Opcode AND

The 'AND' literal object.

See Also:
  `AND_VALUE`

#### OR

    public static final Opcode OR

The 'OR' literal object.

See Also:
  `OR_VALUE`

#### XOR

    public static final Opcode XOR

The 'XOR' literal object.

See Also:
  `XOR_VALUE`

#### IMPLIES

    public static final Opcode IMPLIES

The 'IMPLIES' literal object.

See Also:
  `IMPLIES_VALUE`

#### IFTE

    public static final Opcode IFTE

The 'IFTE' literal object.

See Also:
  `IFTE_VALUE`

#### RETURN

    public static final Opcode RETURN

The 'RETURN' literal object.

See Also:
  `RETURN_VALUE`

#### GETCB

    public static final Opcode GETCB

The 'GETCB' literal object.

See Also:
  `GETCB_VALUE`

#### INVOKE_ALL_CBS

    public static final Opcode INVOKE_ALL_CBS

The 'INVOKE ALL CBS' literal object.

See Also:
  `INVOKE_ALL_CBS_VALUE`

#### INVOKE_CB

    public static final Opcode INVOKE_CB

The 'INVOKE CB' literal object.

See Also:
  `INVOKE_CB_VALUE`

#### INVOKE_CB_S

    public static final Opcode INVOKE_CB_S

The 'INVOKE CB S' literal object.

See Also:
  `INVOKE_CB_S_VALUE`

#### MATCH

    public static final Opcode MATCH

The 'MATCH' literal object.

See Also:
  `MATCH_VALUE`

#### MATCH_S

    public static final Opcode MATCH_S

The 'MATCH S' literal object.

See Also:
  `MATCH_S_VALUE`

#### ADD

    public static final Opcode ADD

The 'ADD' literal object.

See Also:
  `ADD_VALUE`

#### REMOVE

    public static final Opcode REMOVE

The 'REMOVE' literal object.

See Also:
  `REMOVE_VALUE`

#### INSERT

    public static final Opcode INSERT

The 'INSERT' literal object.

See Also:
  `INSERT_VALUE`

#### GET_SUPER

    public static final Opcode GET_SUPER

The 'GET SUPER' literal object.

See Also:
  `GET_SUPER_VALUE`

#### GETENV

    public static final Opcode GETENV

The 'GETENV' literal object.

See Also:
  `GETENV_VALUE`

### Field Detail

#### PUSH_VALUE

    public static final int PUSH_VALUE

The 'PUSH' literal value.

If the meaning of 'PUSH' literal object isn't clear, there really should be more of a description here...

See Also:
  `PUSH`, Constant Field Values

#### PUSHT_VALUE

    public static final int PUSHT_VALUE

The 'PUSHT' literal value.

If the meaning of 'PUSHT' literal object isn't clear, there really should be more of a description here...

See Also:
  `PUSHT`, Constant Field Values

#### PUSHF_VALUE

    public static final int PUSHF_VALUE

The 'PUSHF' literal value.

If the meaning of 'PUSHF' literal object isn't clear, there really should be more of a description here...

See Also:
  `PUSHF`, Constant Field Values

#### POP_VALUE

    public static final int POP_VALUE

The 'POP' literal value.

If the meaning of 'POP' literal object isn't clear, there really should be more of a description here...

See Also:
  `POP`, Constant Field Values

#### LOAD_VALUE

    public static final int LOAD_VALUE

The 'LOAD' literal value.

If the meaning of 'LOAD' literal object isn't clear, there really should be more of a description here...

See Also:
  `LOAD`, Constant Field Values

#### STORE_VALUE

    public static final int STORE_VALUE

The 'STORE' literal value.

If the meaning of 'STORE' literal object isn't clear, there really should be more of a description here...

See Also:
  `STORE`, Constant Field Values

#### SET_VALUE

    public static final int SET_VALUE

The 'SET' literal value.

If the meaning of 'SET' literal object isn't clear, there really should be more of a description here...

See Also:
  `SET`, Constant Field Values

#### GET_VALUE

    public static final int GET_VALUE

The 'GET' literal value.

If the meaning of 'GET' literal object isn't clear, there really should be more of a description here...

See Also:
  `GET`, Constant Field Values

#### GET_TRANS_VALUE

    public static final int GET_TRANS_VALUE

The 'GET TRANS' literal value.

If the meaning of 'GET TRANS' literal object isn't clear, there really should be more of a description here...

See Also:
  `GET_TRANS`, Constant Field Values

#### SET_STATIC_VALUE

    public static final int SET_STATIC_VALUE

The 'SET STATIC' literal value.

If the meaning of 'SET STATIC' literal object isn't clear, there really should be more of a description here...

See Also:
  `SET_STATIC`, Constant Field Values

#### GET_STATIC_VALUE

    public static final int GET_STATIC_VALUE

The 'GET STATIC' literal value.

If the meaning of 'GET STATIC' literal object isn't clear, there really should be more of a description here...

See Also:
  `GET_STATIC`, Constant Field Values

#### FINDTYPE_VALUE

    public static final int FINDTYPE_VALUE

The 'FINDTYPE' literal value.

If the meaning of 'FINDTYPE' literal object isn't clear, there really should be more of a description here...

See Also:
  `FINDTYPE`, Constant Field Values

#### FINDTYPE_S_VALUE

    public static final int FINDTYPE_S_VALUE

The 'FINDTYPE S' literal value.

If the meaning of 'FINDTYPE S' literal object isn't clear, there really should be more of a description here...

See Also:
  `FINDTYPE_S`, Constant Field Values

#### NEW_VALUE

    public static final int NEW_VALUE

The 'NEW' literal value.

If the meaning of 'NEW' literal object isn't clear, there really should be more of a description here...

See Also:
  `NEW`, Constant Field Values

#### NEW_S_VALUE

    public static final int NEW_S_VALUE

The 'NEW S' literal value.

If the meaning of 'NEW S' literal object isn't clear, there really should be more of a description here...

See Also:
  `NEW_S`, Constant Field Values

#### DELETE_VALUE

    public static final int DELETE_VALUE

The 'DELETE' literal value.

If the meaning of 'DELETE' literal object isn't clear, there really should be more of a description here...

See Also:
  `DELETE`, Constant Field Values

#### DUP_VALUE

    public static final int DUP_VALUE

The 'DUP' literal value.

If the meaning of 'DUP' literal object isn't clear, there really should be more of a description here...

See Also:
  `DUP`, Constant Field Values

#### DUP_X1_VALUE

    public static final int DUP_X1_VALUE

The 'DUP X1' literal value.

If the meaning of 'DUP X1' literal object isn't clear, there really should be more of a description here...

See Also:
  `DUP_X1`, Constant Field Values

#### SWAP_VALUE

    public static final int SWAP_VALUE

The 'SWAP' literal value.

If the meaning of 'SWAP' literal object isn't clear, there really should be more of a description here...

See Also:
  `SWAP`, Constant Field Values

#### SWAP_X1_VALUE

    public static final int SWAP_X1_VALUE

The 'SWAP X1' literal value.

If the meaning of 'SWAP X1' literal object isn't clear, there really should be more of a description here...

See Also:
  `SWAP_X1`, Constant Field Values

#### IF_VALUE

    public static final int IF_VALUE

The 'IF' literal value.

If the meaning of 'IF' literal object isn't clear, there really should be more of a description here...

See Also:
  `IF`, Constant Field Values

#### IFN_VALUE

    public static final int IFN_VALUE

The 'IFN' literal value.

If the meaning of 'IFN' literal object isn't clear, there really should be more of a description here...

See Also:
  `IFN`, Constant Field Values

#### GOTO_VALUE

    public static final int GOTO_VALUE

The 'GOTO' literal value.

If the meaning of 'GOTO' literal object isn't clear, there really should be more of a description here...

See Also:
  `GOTO`, Constant Field Values

#### ITERATE_VALUE

    public static final int ITERATE_VALUE

The 'ITERATE' literal value.

If the meaning of 'ITERATE' literal object isn't clear, there really should be more of a description here...

See Also:
  `ITERATE`, Constant Field Values

#### ENDITERATE_VALUE

    public static final int ENDITERATE_VALUE

The 'ENDITERATE' literal value.

If the meaning of 'ENDITERATE' literal object isn't clear, there really should be more of a description here...

See Also:
  `ENDITERATE`, Constant Field Values

#### INVOKE_VALUE

    public static final int INVOKE_VALUE

The 'INVOKE' literal value.

If the meaning of 'INVOKE' literal object isn't clear, there really should be more of a description here...

See Also:
  `INVOKE`, Constant Field Values

#### INVOKE_SUPER_VALUE

    public static final int INVOKE_SUPER_VALUE

The 'INVOKE SUPER' literal value.

If the meaning of 'INVOKE SUPER' literal object isn't clear, there really should be more of a description here...

See Also:
  `INVOKE_SUPER`, Constant Field Values

#### INVOKE_STATIC_VALUE

    public static final int INVOKE_STATIC_VALUE

The 'INVOKE STATIC' literal value.

If the meaning of 'INVOKE STATIC' literal object isn't clear, there really should be more of a description here...

See Also:
  `INVOKE_STATIC`, Constant Field Values

#### ALLINST_VALUE

    public static final int ALLINST_VALUE

The 'ALLINST' literal value.

If the meaning of 'ALLINST' literal object isn't clear, there really should be more of a description here...

See Also:
  `ALLINST`, Constant Field Values

#### ALLINST_IN_VALUE

    public static final int ALLINST_IN_VALUE

The 'ALLINST IN' literal value.

If the meaning of 'ALLINST IN' literal object isn't clear, there really should be more of a description here...

See Also:
  `ALLINST_IN`, Constant Field Values

#### ISNULL_VALUE

    public static final int ISNULL_VALUE

The 'ISNULL' literal value.

If the meaning of 'ISNULL' literal object isn't clear, there really should be more of a description here...

See Also:
  `ISNULL`, Constant Field Values

#### GETENVTYPE_VALUE

    public static final int GETENVTYPE_VALUE

The 'GETENVTYPE' literal value.

If the meaning of 'GETENVTYPE' literal object isn't clear, there really should be more of a description here...

See Also:
  `GETENVTYPE`, Constant Field Values

#### NOT_VALUE

    public static final int NOT_VALUE

The 'NOT' literal value.

If the meaning of 'NOT' literal object isn't clear, there really should be more of a description here...

See Also:
  `NOT`, Constant Field Values

#### AND_VALUE

    public static final int AND_VALUE

The 'AND' literal value.

If the meaning of 'AND' literal object isn't clear, there really should be more of a description here...

See Also:
  `AND`, Constant Field Values

#### OR_VALUE

    public static final int OR_VALUE

The 'OR' literal value.

If the meaning of 'OR' literal object isn't clear, there really should be more of a description here...

See Also:
  `OR`, Constant Field Values

#### XOR_VALUE

    public static final int XOR_VALUE

The 'XOR' literal value.

If the meaning of 'XOR' literal object isn't clear, there really should be more of a description here...

See Also:
  `XOR`, Constant Field Values

#### IMPLIES_VALUE

    public static final int IMPLIES_VALUE

The 'IMPLIES' literal value.

If the meaning of 'IMPLIES' literal object isn't clear, there really should be more of a description here...

See Also:
  `IMPLIES`, Constant Field Values

#### IFTE_VALUE

    public static final int IFTE_VALUE

The 'IFTE' literal value.

If the meaning of 'IFTE' literal object isn't clear, there really should be more of a description here...

See Also:
  `IFTE`, Constant Field Values

#### RETURN_VALUE

    public static final int RETURN_VALUE

The 'RETURN' literal value.

If the meaning of 'RETURN' literal object isn't clear, there really should be more of a description here...

See Also:
  `RETURN`, Constant Field Values

#### GETCB_VALUE

    public static final int GETCB_VALUE

The 'GETCB' literal value.

If the meaning of 'GETCB' literal object isn't clear, there really should be more of a description here...

See Also:
  `GETCB`, Constant Field Values

#### INVOKE_ALL_CBS_VALUE

    public static final int INVOKE_ALL_CBS_VALUE

The 'INVOKE ALL CBS' literal value.

If the meaning of 'INVOKE ALL CBS' literal object isn't clear, there really should be more of a description here...

See Also:
  `INVOKE_ALL_CBS`, Constant Field Values

#### INVOKE_CB_VALUE

    public static final int INVOKE_CB_VALUE

The 'INVOKE CB' literal value.

If the meaning of 'INVOKE CB' literal object isn't clear, there really should be more of a description here...

See Also:
  `INVOKE_CB`, Constant Field Values

#### INVOKE_CB_S_VALUE

    public static final int INVOKE_CB_S_VALUE

The 'INVOKE CB S' literal value.

If the meaning of 'INVOKE CB S' literal object isn't clear, there really should be more of a description here...

See Also:
  `INVOKE_CB_S`, Constant Field Values

#### MATCH_VALUE

    public static final int MATCH_VALUE

The 'MATCH' literal value.

If the meaning of 'MATCH' literal object isn't clear, there really should be more of a description here...

See Also:
  `MATCH`, Constant Field Values

#### MATCH_S_VALUE

    public static final int MATCH_S_VALUE

The 'MATCH S' literal value.

If the meaning of 'MATCH S' literal object isn't clear, there really should be more of a description here...

See Also:
  `MATCH_S`, Constant Field Values

#### ADD_VALUE

    public static final int ADD_VALUE

The 'ADD' literal value.

If the meaning of 'ADD' literal object isn't clear, there really should be more of a description here...

See Also:
  `ADD`, Constant Field Values

#### REMOVE_VALUE

    public static final int REMOVE_VALUE

The 'REMOVE' literal value.

If the meaning of 'REMOVE' literal object isn't clear, there really should be more of a description here...

See Also:
  `REMOVE`, Constant Field Values

#### INSERT_VALUE

    public static final int INSERT_VALUE

The 'INSERT' literal value.

If the meaning of 'INSERT' literal object isn't clear, there really should be more of a description here...

See Also:
  `INSERT`, Constant Field Values

#### GET_SUPER_VALUE

    public static final int GET_SUPER_VALUE

The 'GET SUPER' literal value.

If the meaning of 'GET SUPER' literal object isn't clear, there really should be more of a description here...

See Also:
  `GET_SUPER`, Constant Field Values

#### GETENV_VALUE

    public static final int GETENV_VALUE

The 'GETENV' literal value.

If the meaning of 'GETENV' literal object isn't clear, there really should be more of a description here...

See Also:
  `GETENV`, Constant Field Values

#### VALUES

    public static final java.util.List<Opcode> VALUES

A public read-only list of all the 'Opcode' enumerators.

### Method Detail

#### values

    public static Opcode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Opcode c : Opcode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Opcode valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### get

    public static Opcode get​(java.lang.String literal)

Returns the 'Opcode' literal with the specified literal value.

Parameters:
  `literal` - the literal string value
  `literal` - the literal.
Returns:
  the 'Opcode' literal with the specified literal value.

#### getByName

    public static Opcode getByName​(java.lang.String name)

Returns the 'Opcode' literal with the specified name.

Parameters:
  `name` - the literal name
  `name` - the name.
Returns:
  the 'Opcode' literal with the specified name.

#### get

    public static Opcode get​(int value)

Returns the 'Opcode' literal with the specified integer value.

Parameters:
  `value` - the literal integer value
  `value` - the integer value.
Returns:
  the 'Opcode' literal with the specified integer value.

#### getValue

    public int getValue()

Returns the literal integer value.

Specified by:
  `getValue` in interface `org.eclipse.emf.common.util.Enumerator`
Returns:
  the literal integer value.

#### getName

    public java.lang.String getName()

Returns the literal name.

Specified by:
  `getName` in interface `org.eclipse.emf.common.util.Enumerator`
Returns:
  the literal name.

#### getLiteral

    public java.lang.String getLiteral()

Returns the literal string value.

Specified by:
  `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`
Returns:
  the literal string value.

#### toString

    public java.lang.String toString()

Returns the literal value of the enumerator, which is its string representation.

Overrides:
  `toString` in class `java.lang.Enum<Opcode>`
Returns:
  the literal value of the enumerator, which is its string representation.